[PATCH v2 3/8] selftests: firmware: only modprobe if driver is missing

From: Luis R. Rodriguez
Date: Thu Jun 16 2016 - 20:01:32 EST


No need to load test_firmware if its already there.

Signed-off-by: Luis R. Rodriguez <mcgrof@xxxxxxxxxx>
---
tools/testing/selftests/firmware/fw_filesystem.sh | 11 +++++++++--
1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/tools/testing/selftests/firmware/fw_filesystem.sh b/tools/testing/selftests/firmware/fw_filesystem.sh
index 5c495ad7958a..3ff573dc6009 100755
--- a/tools/testing/selftests/firmware/fw_filesystem.sh
+++ b/tools/testing/selftests/firmware/fw_filesystem.sh
@@ -5,10 +5,17 @@
# know so we can be sure we're not accidentally testing the user helper.
set -e

-modprobe test_firmware
-
DIR=/sys/devices/virtual/misc/test_firmware

+if [ ! -d $DIR ]; then
+ modprobe test_firmware
+ if [ ! -d $DIR ]; then
+ echo "$0: $DIR not present"
+ echo "You must have CONFIG_TEST_FIRMWARE=m or CONFIG_TEST_FIRMWARE=y"
+ exit 1
+ fi
+fi
+
# CONFIG_FW_LOADER_USER_HELPER has a sysfs class under /sys/class/firmware/
# These days no one enables CONFIG_FW_LOADER_USER_HELPER so check for that
# as an indicator for CONFIG_FW_LOADER_USER_HELPER.
--
2.8.2